/availableDevices

This endpoint returns a list of all devices found by the bridges in the account that have not yet been added. Devices of a certain type will not be reported in the response if the user does not have permission to add them. Since adding specific device types requires calling a device-type-specific API, it is recommended to filter on the devices supported by the cameras, rather than retrieving "all" types. It is important to note that after using the pageSize parameter, the "totalSize" in the response represents the total number of available devices, not the number of devices resulting from the query string.

Query Params
deviceType__in
array of strings
required
length ≥ 1

List of device types that are supported by the client. Required as new device types might be added at any time, which might need client (parser) changes before they are supported.

deviceType__in*
state__in
array of strings

List of different device states. If provided, the response will only contain devices with provided states.

state__in
bridgeId__in
array of strings

Filter to get the available devices whose bridge id is on the provided list. The lookup is exact and case insensitive

bridgeId__in
string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

include
array of strings
include
Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json